Subject: bug#34346: 26.1; Big hang when opening text (racket) files with .art extension (image-mode)

From: Stephen Berman <[email-masked]>
Date: Thu, 07 Feb 2019 16:52:56 +0100

On Thu, 07 Feb 2019 16:44:21 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Pierre Neidhardt <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Thu, 07 Feb 2019 13:04:58 +0100
>> 
>> I think there is a misunderstanding (probably due to my initial post and the
>> poor title).  The issue, I  believe, is with image-mode: when it is fed random
>> bytes (e.g. a text buffer) it goes berserk.  This is probably a bug in
>> image-mode.
>
> Does image-mode goes berserk, or does ImageMagick do it?  AFAIU, we
> just hand the file to the appropriate image library for processing.

On Thu, 07 Feb 2019 15:59:14 +0100 Pierre Neidhardt <[email-masked]> wrote:

> Could be.  Any hint on how I could test that more specifically?

Try opening the file from the shell with the 'display' command (and have
another shell ready to kill that process).

Steve Berman